name: Build Blog
on: [push]

jobs:
  build:
    name: Build
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
      - uses: "https://github.com/cachix/install-nix-action@v31"
      - uses: "https://github.com/DeterminateSystems/magic-nix-cache-action@main"
        with:
          diagnostic-endpoint: ""
      - name: Build site
        run: nix build
